/**
 * Copyright (c) 2011-2013 by Andrew Mustun. All rights reserved.
 * 
 * This file is part of the QCAD project.
 *
 * QCAD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * QCAD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with QCAD.
 */
var appWin = EAction.getMainWindow();
var document = appWin.getDocument();
var di = appWin.getDocumentInterface();

// create an operation:
var operation = new RAddObjectsOperation();

// corner point of the triangle::
var p1 = new RVector(0, 0);
var p2 = new RVector(10, 0);
var p3 = new RVector(5, 8.66);

// add line entity to operation:
var line1 = new RLineEntity(document, new RLineData(p1, p2));
var line2 = new RLineEntity(document, new RLineData(p2, p3));
var line3 = new RLineEntity(document, new RLineData(p3, p1));

operation.addObject(line1);
operation.addObject(line2);
operation.addObject(line3);

// apply operation to document:
di.applyOperation(operation);


